Skip to main content
GET
/
v1
/
podcasts
/
episodes
/
{id}
/
segments
List segments for an episode
curl --request GET \
  --url https://api.particle.pro/v1/podcasts/episodes/{id}/segments \
  --header 'X-API-Key: <api-key>'
{
  "data": [
    {
      "duration_seconds": 123,
      "end_seconds": 123,
      "id": "<string>",
      "number": 123,
      "start_seconds": 123,
      "title": "<string>",
      "type": "<string>",
      "audio_url": "<string>",
      "description": "<string>",
      "episode": {
        "id": "<string>",
        "title": "<string>",
        "podcast": {
          "id": "<string>",
          "title": "<string>",
          "image_url": "<string>",
          "slug": "<string>"
        },
        "published_at": "2023-11-07T05:31:56Z"
      },
      "summary": "<string>"
    }
  ],
  "has_more": true,
  "cursor": "<string>"
}

Authorizations

X-API-Key
string
header
required

Pass your API key in the X-API-Key header (recommended).

Path Parameters

id
string
required

Episode ID

Response

OK

data
object[] | null
required

List of results

has_more
boolean
required

Whether more results exist

cursor
string

Pass to next request for more results